Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | Public Attributes
MATRIX_COORD Struct Reference

`#include <matrix.h>`

List of all members.

## Public Member Functions

| MATRIX_COORD (int c, int r)
| ~MATRIX_COORD ()
bool | Valid (const MATRIX &m) const

## Static Public Member Functions

static void | Delete (void *arg)

## Public Attributes

int | col
int | row

## Detailed Description

Definition at line 201 of file matrix.h.

## Constructor & Destructor Documentation

MATRIX_COORD::MATRIX_COORD | ( | int | c,
|  | int | r
| ) |  |

inline

Definition at line 206 of file matrix.h.

: col(c), row(r) {}

MATRIX_COORD::~MATRIX_COORD | ( |  | ) |

inline

Definition at line 207 of file matrix.h.

{}

## Member Function Documentation

static void MATRIX_COORD::Delete | ( | void * | arg | ) |

inlinestatic

Definition at line 202 of file matrix.h.

{
MATRIX_COORD *c = static_cast< MATRIX_COORD *>(arg);
delete c;
}

bool MATRIX_COORD::Valid | ( | const MATRIX & | m | ) | const

inline

Definition at line 208 of file matrix.h.

{
return (col >= 0 && row >= 0 &&
col < m.dimension() && row < m.dimension());
}

## Member Data Documentation

int MATRIX_COORD::col

Definition at line 212 of file matrix.h.

int MATRIX_COORD::row

Definition at line 213 of file matrix.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccstruct/matrix.h